org.apache.hadoop.mapreduce.jobhistory

## Class JhCounter.Builder

- java.lang.Object
- - org.apache.avro.data.RecordBuilderBase<T>
  - - org.apache.avro.specific.SpecificRecordBuilderBase<JhCounter>
    - - org.apache.hadoop.mapreduce.jobhistory.JhCounter.Builder

- All Implemented Interfaces:
    org.apache.avro.data.RecordBuilder<JhCounter>
  Enclosing class:
    JhCounter

      public static class JhCounter.Builder
      extends org.apache.avro.specific.SpecificRecordBuilderBase<JhCounter>
      implements org.apache.avro.data.RecordBuilder<JhCounter>

  RecordBuilder for JhCounter instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JhCounter` | `build()`
    `JhCounter.Builder` | `clearDisplayName()` Clears the value of the 'displayName' field
    `JhCounter.Builder` | `clearName()` Clears the value of the 'name' field
    `JhCounter.Builder` | `clearValue()` Clears the value of the 'value' field
    `CharSequence` | `getDisplayName()` Gets the value of the 'displayName' field
    `CharSequence` | `getName()` Gets the value of the 'name' field
    `Long` | `getValue()` Gets the value of the 'value' field
    `boolean` | `hasDisplayName()` Checks whether the 'displayName' field has been set
    `boolean` | `hasName()` Checks whether the 'name' field has been set
    `boolean` | `hasValue()` Checks whether the 'value' field has been set
    `JhCounter.Builder` | `setDisplayName(CharSequence value)` Sets the value of the 'displayName' field
    `JhCounter.Builder` | `setName(CharSequence value)` Sets the value of the 'name' field
    `JhCounter.Builder` | `setValue(long value)` Sets the value of the 'value' field

    - ### Methods inherited from class org.apache.avro.data.RecordBuilderBase

      `data, defaultValue, equals, fields, fieldSetFlags, hashCode, isValidValue, schema, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getName

          public CharSequence getName()

      Gets the value of the 'name' field

    - #### setName

          public JhCounter.Builder setName(CharSequence value)

      Sets the value of the 'name' field

    - #### hasName

          public boolean hasName()

      Checks whether the 'name' field has been set

    - #### clearName

          public JhCounter.Builder clearName()

      Clears the value of the 'name' field

    - #### getDisplayName

          public CharSequence getDisplayName()

      Gets the value of the 'displayName' field

    - #### setDisplayName

          public JhCounter.Builder setDisplayName(CharSequence value)

      Sets the value of the 'displayName' field

    - #### hasDisplayName

          public boolean hasDisplayName()

      Checks whether the 'displayName' field has been set

    - #### clearDisplayName

          public JhCounter.Builder clearDisplayName()

      Clears the value of the 'displayName' field

    - #### getValue

          public Long getValue()

      Gets the value of the 'value' field

    - #### setValue

          public JhCounter.Builder setValue(long value)

      Sets the value of the 'value' field

    - #### hasValue

          public boolean hasValue()

      Checks whether the 'value' field has been set

    - #### clearValue

          public JhCounter.Builder clearValue()

      Clears the value of the 'value' field

    - #### build

          public JhCounter build()

      Specified by:
        `build` in interface `org.apache.avro.data.RecordBuilder<JhCounter>`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.